// __author__ = Juan Carlos De Abreu (jcabreur@gmail.com)

/**
 * TODO(jcabreur): write a general comment here
 * Add a set of functions make easy some operations ...
 */

#ifndef UTIL_OPENGL_FUNCS_H__
#define UTIL_OPENGL_FUNCS_H__

#include "..\Includes\Basic.h"
#include "..\Includes\OpenGL.h"
#include "..\Math\Vector.h"

BEGIN_TEG_NAMESPACE();

// 
inline void glVertex3f(Vec3f v) {
  ::glVertex3f(v.x, v.y, v.z);
}

inline void glNormal3f(Vec3f v) {
  ::glNormal3f(v.x, v.y, v.z);
}

END_TEG_NAMESPACE();

#endif  // UTIL_OPENGL_FUNCS_H__
